from IntegerFieldSheet import IntegerFieldSheet
from IntegerField import IntegerField

class RangedIntegerFieldSheet(IntegerFieldSheet):
    def __init__(self):
	IntegerFieldSheet.__init__(self)
	field = IntegerField('min',
			   'Minimum value',
			   visual_length=15,
			   visual_max_length=0,
			   required=1,
			   default=0)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('not_integer',
			  "This field expects an integer.")
	self.addField(field)

	field = IntegerField('max',
			     'Maximum value',
			     visual_length=15,
			     visual_max_length=0,
			     required=1,
			     default=0)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('not_integer',
			  "This field expects an integer.")
	self.addField(field)

sheet = RangedIntegerFieldSheet()
