from StringBaseFieldSheet import StringBaseFieldSheet
from IntegerField import IntegerField
from CheckboxField import CheckboxField

class StringFieldSheet(StringBaseFieldSheet):
    def __init__(self):
	StringBaseFieldSheet.__init__(self)
	field = IntegerField('max_length', 
			     "Maximum length of input "\
			     "(0 if no maximum)",
			     visual_length=15, 
			     visual_max_length=15, 
			     required=1, 
			     default=0)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('not_integer',
			  "This field expects an integer.")
	self.addField(field)

	field = CheckboxField('truncate',
			      "Truncate if input is too long",
			      default=0)
	self.addField(field)

sheet = StringFieldSheet()
