import string

def html_tag(tagname, argdict, contents=None):
    """Create a simple HTML tag with attributes and possibly with contents.
    """
    arglist = []
    for key, value in argdict.items():
        if value is not None:
            arglist.append('%s="%s"' % (key, value))
        else:
            arglist.append(key)
    
    html_args = string.join(arglist, " ")
    if contents == None:
        return '<%s %s>' % (tagname, html_args)
    else:
        return '<%s %s>%s</%s>' % (tagname, html_args, contents, tagname)
